> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Card Brand

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new CardBrand request to retrieve the Account's card brand.

Operation Type: <Tooltip tip="Your request is processed in the background. You'll receive a webhook when it's complete.">⏳ Asynchronous</Tooltip>

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
]}
/>

## Returns

Returns a CardBrand object. On version `2025-07-04` and later, each resolved brand in `brands[]` includes a `details` object with card details (APRs, fees, rewards, and promotions).

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/card_brands \
    -X POST \
    -H "Method-Version: 2025-12-01" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts('acc_yVf3mkzbhz9tj')
    .cardBrands
    .create();
  ```

  ```python Python theme={null}
  response = method
    .accounts('acc_yVf3mkzbhz9tj')
    .card_brands
    .create()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "cbrd_Accm7P6t6mYQP",
    "account_id": "acc_LxwEqNicr66yP",
    "brands": [
      {
        "id": "pdt_15_brd_1",
        "card_product_id": "pdt_15",
        "description": "Chase Sapphire Reserve",
        "name": "Chase Sapphire Reserve",
        "issuer": "Chase",
        "network": "visa",
        "network_tier": "infinite",
        "type": "specific",
        "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png",
        "details": {
          "card_category": "travel",
          "purchase_apr_min": 21.24,
          "purchase_apr_max": 28.24,
          "cash_advance_apr_min": 29.99,
          "cash_advance_apr_max": 29.99,
          "annual_fee": 55000,
          "late_payment_fee": 4000,
          "rewards": {
            "type": "points",
            "program": "Chase Ultimate Rewards",
            "categories": [
              { "category": "travel", "category_presentable": "Travel booked through Chase Travel", "rate": 5, "unit": "points_per_dollar", "cap": null },
              { "category": "dining", "category_presentable": "Dining", "rate": 3, "unit": "points_per_dollar", "cap": null },
              { "category": "base_rate", "category_presentable": "All other purchases", "rate": 1, "unit": "points_per_dollar", "cap": null }
            ]
          },
          "promotions": [
            {
              "type": "sign_up_bonus",
              "title": "60,000 bonus points",
              "description": "Earn 60,000 bonus points after you spend $4,000 on purchases in the first 3 months from account opening.",
              "value": 60000,
              "unit": "points",
              "spend_requirement": 400000,
              "qualifying_period": { "value": 3, "unit": "months", "relative_to": "account_opening" },
              "expiration": null
            }
          ],
          "data_as_of": "2026-06-03"
        }
      }
    ],
    "status": "completed",
    "source": "method",
    "error": null,
    "created_at": "2025-08-12T00:56:50.139Z",
    "updated_at": "2025-08-12T00:56:50.139Z"
  }
  ```
</ResponseExample>
